org.codehaus.plexus.metadata.merge.support

## Class PlexusXmlTag

- java.lang.Object
- - org.codehaus.plexus.metadata.merge.support.DescriptorTag
  - - org.codehaus.plexus.metadata.merge.support.PlexusXmlTag

    public class PlexusXmlTag
    extends DescriptorTag

All allowable tags in `components.xml` and their bindings to `Mergeable` counterparts (if required).

This implementation may change.
TODO Might be an idea factor and set up the list of allowed tags here itself.

Version:
  $Id: PlexusXmlTag.java 7689 2008-08-23 16:09:20Z jvanzyl $
Author:
  Rahul Thakur

### Field Summary

Fields
`static PlexusXmlTag` `COMPONENT`
`static PlexusXmlTag` `COMPONENT_SET`
`static PlexusXmlTag` `COMPONENTS`
`static PlexusXmlTag` `CONFIGURATION`
`static PlexusXmlTag` `FIELD_NAME`
`static PlexusXmlTag` `IMPLEMENTATION`
`static PlexusXmlTag` `LIFECYCLE_HANDLER`
`static PlexusXmlTag` `REQUIREMENT`
`static PlexusXmlTag` `REQUIREMENTS`
`static PlexusXmlTag` `ROLE`
`static PlexusXmlTag` `ROLE_HINT`

### Method Summary

### Methods inherited from class org.codehaus.plexus.metadata.merge.support.DescriptorTag

`createMergeable, equals, getTagName, hashCode, isMergeable, isMultipleAllowed, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### COMPONENT_SET

    public static final PlexusXmlTag COMPONENT_SET

#### COMPONENTS

    public static final PlexusXmlTag COMPONENTS

#### COMPONENT

    public static final PlexusXmlTag COMPONENT

#### ROLE

    public static final PlexusXmlTag ROLE

#### ROLE_HINT

    public static final PlexusXmlTag ROLE_HINT

#### FIELD_NAME

    public static final PlexusXmlTag FIELD_NAME

#### IMPLEMENTATION

    public static final PlexusXmlTag IMPLEMENTATION

#### LIFECYCLE_HANDLER

    public static final PlexusXmlTag LIFECYCLE_HANDLER

#### REQUIREMENTS

    public static final PlexusXmlTag REQUIREMENTS

#### CONFIGURATION

    public static final PlexusXmlTag CONFIGURATION

#### REQUIREMENT

    public static final PlexusXmlTag REQUIREMENT